<div fxlayout="row" fxLayoutAlign="end" *ngIf="pages && pages.length" class="paginationButtons">
  <div fxFlex="20%" >
    <!--Navigate to the 1st page-->
    <button md-button class="button-strong-text b1" color="primary" title="First Page" [disabled]="currentPage === 1" (click)="changePage(1)">
      <i class="material-icons">first_page </i>
    </button>
  </div>
  <!--Navigate to previous page-->
  <div fxFlex="20%">
    <button md-button class="button-strong-text" color="primary" title="Previous Page" [disabled]="currentPage === 1" (click)="changePage(currentPage - 1)">
      <i class="material-icons">navigate_before </i>
    </button>
  </div>
  <!--Current page-->
  <div *ngFor="let page of pages;"  fxFlex="20%">
    <div >
      <button md-button class="button-strong-text" title="Current Page" [color]="currentPage === page? 'accent':'primary'" (click)="changePage(page)">
         {{page}}
      </button>
    </div>
  </div>
  <!--Navigate to next page-->
  <div fxFlex="20%">
    <button md-button class="button-strong-text" title="Next Page" color="primary" [disabled]="currentPage === totalPages" (click)="changePage(currentPage + 1 )">
     <i class="material-icons">navigate_next</i></button>
  </div>
  <!--Navigate to the last page-->
  <div fxFlex="20%">
    <button md-button class="button-strong-text" title="Last Page" color="primary" [disabled]="currentPage === totalPages" (click)="changePage(totalPages)">
      <i class="material-icons"> last_page </i>
    </button>
  </div>
</div>

